EAPI=8

DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10,11,12,13} )
inherit distutils-r1

DESCRIPTION="OTP module"
HOMEPAGE="https://github.com/WhyNotHugo/totp-cli https://pypi.org/project/totp/"
SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
IUSE="test"

LICENSE="ISC"
SLOT="0"
KEYWORDS="amd64 x86"

CDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
RDEPEND="dev-python/onetimepass[${PYTHON_USEDEP}]"

distutils_enable_tests unittest
